import service from '@/utils/service'

const baseUrl = process.env.VUE_APP_HOST + '/system/user'

const loginApi = {}

loginApi.baseUrl = baseUrl

loginApi.authCodeUrl = `${baseUrl}/authCode.json`

loginApi.login = data => {
  return service({
    url: `${baseUrl}/loginSystem.json`,
    method: 'post',
    data: data
  })
}

export default loginApi