package com.fengqi.wechat.entity;

public interface MessageConstant {


    /**
     * 服务号
     */
    Integer SERVICE = 0;

    /**
     * 订阅号
     */
    Integer SUBSCRIBE = 1;

    String REDIS_ACCESS_TOKEN = "fq_redis_wechat_access_token_${type}";

    //回复消息的key
    String REDIS_MESSAGE = "fq_redis_wechat_message_${type}:";

    //订阅了公众号发送消息
    String REDIS_SUBSCRIBE_MESSAGE = "fq_redis_wechat_subscribe_response_${type}:";

    //R的data
    String R_DATA = "data";
    String USER_OPENID = "openid";

    String GIFT_ID = "giftId";

    //文本消息
    String MESSAGE_CONTENT = "content";
    //图片id
    String MESSAGE_MEDIAID = "mediaId";


    String MESSAGE_SUBSCRIBE = "subscribe";
    String EVENT_CLICK = "click";

    //消息类型
    String MESSAGE_MSGTYPE = "msgType";

    //图文消息
    String MESSAGE_TITLE = "title";
    String MESSAGE_DESCRIPTION = "description";
    String MESSAGE_PICURL = "picUrl";
    String MESSAGE_URL = "url";
    String MESSAGE_ARTICLECOUNT = "1";

    //消息类型参数
    String MESSAGE_TYPE_TEXT = "text";
    String MESSAGE_TYPE_NEWS = "news";
    String MESSAGE_TYPE_IMAGE = "image";
}
