import service from '@/utils/service'


const baseUrl = process.env.VUE_APP_HOST + '/manager/api';

const feedbackApi = {};

feedbackApi.baseUrl = baseUrl;

feedbackApi.getGameList = () => {
    return service({
        url: `${baseUrl}/feedback/v1/list`,
        method: 'get',
        params: {deleted: 0}
    })
};

feedbackApi.addFeedback = data => {
    return service({
        url: `${baseUrl}/feedbackServer/v1`,
        method: 'post',
        data: data
    })
};


export default feedbackApi