export const asyncRouterMap = [
    {
        path: '/feedback',
        name: 'feedback',
        meta: {title: '用户反馈'},
        component: () => import('@/views/feedback/feedback')
    },
    {
        path: '/success',
        name: 'success',
        meta: {title: ''},
        component: () => import('@/views/success/success')
    },
    {
        path: '/gift/:type',
        name: 'gift',
        meta: {title: '领取礼包'},
        component: () => import('@/views/gift/gift')
    }
];

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = []
