import service from '@/utils/service'

const baseUrl = process.env.VUE_APP_HOST + '/manager/api/verified_config';

const verifiedApi = {};

verifiedApi.baseUrl = baseUrl;



verifiedApi.getVerifiedConfigList = params => {
    return service({
        url: `${baseUrl}/v1/list`,
        method: 'get',
        params: params
    })
};

verifiedApi.getAdList = () => {
    return service({
        url: `${baseUrl}/ad/v1`,
        method: 'get',
    })
};



export default verifiedApi
