export const asyncRouterMap = [
    {
        path: '/order',
        name: 'orderList',
        component: () => import('@/views/order/orderList')
    },
    {
        path: '/vip',
        name: 'vipList',
        component: () => import('@/views/vip/vipList')
    },
    {
        path: '/cp',
        name: 'cpList',
        component: () => import('@/views/cp/cpList')
    },
    {
        path: '/cp_game',
        name: 'cpGame',
        component: () => import('@/views/cpGame/cpGameList')
    },
    {
        path: '/feedback_game',
        name: 'feedbackGame',
        component: () => import('@/views/feedbackGame/feedbackGame')
    },
    {
        path: '/feedback_list',
        name: 'feedbackList',
        component: () => import('@/views/feedbackList/feedbackList')
    },
    {
        path: '/feedback_detail',
        name: 'feedbackDetail',
        component: () => import('@/views/feedbackDetail/feedbackDetail')
    },
    {
        path: '/gift_game_list',
        name: 'giftGameList',
        component: () => import('@/views/giftGameList/giftGameList')
    },
    {
        path: '/gift_list',
        name: 'giftList',
        component: () => import('@/views/giftList/giftList')
    },
    {
        path: '/gift_code_list',
        name: 'giftCodeList',
        component: () => import('@/views/giftCodeList/giftCodeList')
    },
    {
        path: '/table',
        name: 'tableList',
        component: () => import('@/views/table/table')
    },
    {
        path: '/message',
        name: 'messageList',
        component: () => import('@/views/message/messageList')
    },
    {
        path: '/user_white_list',
        name: 'userWhiteList',
        component: () => import('@/views/userWhiteList/userWhiteList')
    },
    {
        path: '/login_log_list',
        name: 'loginLogList',
        component: () => import('@/views/loginLogList/loginLogList')
    },
    {
        path: '/verified',
        name: 'verified',
        component: () => import('@/views/verified/verified')
    },
    {
        path: '/test',
        name: 'test',
        component: () => import('@/views/test/TestCommon.vue')
    },
    {
        path: '/test2',
        name: 'test2',
        component: () => import('@/views/test/Test2.vue')
    },
    {
        path: '/mini_type',
        name: 'MiniTypeList',
        component: () => import('@/views/miniTestList/MiniTypeList')
    },
    {
      path: '/gameData',
      name: 'gameData',
      component: () => import('@/views/gameData/gameData')
    },
  {
    path: '/appControlList',
    name: 'appControlList',
    component: () => import('@/views/appControlList/appControlList')
  },


];

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = []
