import service from '@/utils/service'

// const baseUrl = 'http://localhost:8082/manager/api/order'

const baseUrl = process.env.VUE_APP_HOST;

const commonApi = {};

commonApi.baseUrl = baseUrl;

commonApi.getPolicy = path => {
    return service({
        url: `${baseUrl}/upload/aliyun/getUploadOssPolicy`,
        method: 'post',
        data: {path:path}
    })
};

commonApi.getWechatOpenId = (type,code) => {
    return service({
        url: `${baseUrl}/manager/api/wechat_api/get_token/${type}/${code}`,
        method: 'get'
    })
};


export default commonApi

